# Card Payment

### Set Payment Method

When the payment transaction is to be completed using card, the **`payment_method`** field should be set to **`CARD`** in the post request collection body. For card payments, since we only support 3D. This means that the customer's card must be enabled for 3D authentication for them to complete their card payments. So in the request body, you should provide a **`redirect_url`** where the customer will be navigated to when they complete or cancel the transaction

{% hint style="danger" %}

#### redirect\_url

It must be secured by **SSL.** ie, it must start with **https\://**
{% endhint %}

{% tabs %}
{% tab title="Sample Request Body" %}

```javascript
{
  ...
  "payment_method": "CARD",
  "redirect_url": "https://your-redirect_url"
  ...
}
```

{% endtab %}
{% endtabs %}

### Redirect customer

We expect your application to redirect the customer to that **`payment_url`** to complete the payment


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kitegateway.com/receiving-money/card-payments.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
